/*
		cgi/g77 functions library
		-------------------------

		http://krabulator.free.fr/devel/cgi77.html

	This library is released under the LGPL license.
	Use it as you want, but remember that: "ymmv".

	* only tested under GNU/Linux glibc kernel 2.2.x
	* compilers versions:
	* gcc version egcs-2.91.66 19990314 (egcs-1.1.2 release)
	* g77 version egcs-2.91.66 19990314 (egcs-1.1.2 release)

*/

#include  <stdio.h>
#include  <stdlib.h>

#include  "cgi77.h"

/* ---------------------------------------------------------------- */
int
cgi77_get_int4__(char *name, long *pi, int hidden)
{
long	foo;
char	*cptr;

cptr = cgi77_get_one_parameter(name, hidden);

if ( (cptr!=NULL) && (sscanf(cptr, "%ld", &foo)==1) )
	{
	*pi = foo;
	return 1;
	}

return 0;
}

/* ---------------------------------------------------------------- */

int
cgi77_get_double__(char *name, double *pvalue, int hidden)
{
double	foo;
char	*cptr;

#if TRACE
// fprintf(stderr, "cgi77: get double: szName %d\n", hidden);
#endif

cptr = cgi77_get_one_parameter(name, hidden);
#if TRACE
if (cptr)
	fprintf(stderr, "cgi77: get double: readparam return is %s\n", cptr);
else
	fprintf(stderr, "cgi77: get double: readparam return is NULL\n");
#endif

if ( (cptr!=NULL) && (sscanf(cptr, "%lf", &foo)==1) )
	{
#if TRACE
	fprintf(stderr, "cgi77: get double: value = %g\n", foo);
#endif
	*pvalue = foo;
	return 1;
	}

#if TRACE
fprintf(stderr, "cgi77: get double: err scanf\n");
#endif
return 0;
}

/* ---------------------------------------------------------------- */
