
/*
		cgi/g77 functions library
		-------------------------

		http://krabulator.free.fr/devel/cgi77.html

	This library is released under the LGPL license.
	Use it as you want, but remember that: "ymmv".

	* only tested under GNU/Linux glibc kernel 2.2.x
	* compilers versions:
	* gcc version egcs-2.91.66 19990314 (egcs-1.1.2 release)
	* g77 version egcs-2.91.66 19990314 (egcs-1.1.2 release)

*/

#include  <stdio.h>
#include  <stdlib.h>
#include  <unistd.h>
#include  <string.h>

#include  "cgi77.h"

/* ------------------------------------------------------------ */
/*
 *	return value:	0=failure  1=success
 */
int
cgi77_readparam__(char *nom, char *ou, int sznom, int szou)
{
char	*cptr;

#if TRACE
fprintf(stderr, "cgi77: read param: sz nom %d, sz ou %d\n", sznom, szou);
#endif

cptr = cgi77_get_one_parameter(nom, sznom);

#if TRACE
if (cptr != NULL)
	fprintf(stderr, "cgi77: yo, found it! [%s]\n", cptr);
else
	fprintf(stderr, "cgi77: not found...\n");
#endif

if (cptr != NULL)
	{
	/*
	 *  we know something about it...
	 */
	memset(ou, ' ', szou);
	strncpy(ou, cptr, szou);
	return 1;
	}

return 0;
}

/* ---------------------------------------------- zi end ------ */
