c -----------------------------------------------------
c
c	http://krabulator.free.fr/devel/cgi77.html
c
c -----------------------------------------------------

	program palette

	include 'cgi77.fi'

	integer foo, r, g, b
	
	double precision ar, ag, ab, pr, pg, pb
	double precision angle
	double precision fr, fg, fb

c -----------------------------------------------------
c       must be first. confere CGI protocol.
	write(6, 1)
1	format('Content-type: text/html'/)

	call cgi77_marker('mandelbrot')
	call print_head

c -----------------------------------------------------
c	grab the parameters from right place

	foo = cgi77_get_double('ar', ar)
	if (foo .eq. 0) then
	    ar = 1.0
	endif

	foo = cgi77_get_double('ag', ag)
	if (foo .eq. 0) then
	    ag = 2.0
	endif

	foo = cgi77_get_double('ab', ab)
	if (foo .eq. 0) then
	    ab = 3.0
	endif

	foo = cgi77_get_double('pr', pr)
	if (foo .eq. 0) then
	    pr = 0.0
	endif

	foo = cgi77_get_double('pg', pg)
	if (foo .eq. 0) then
	    pg = 0.0
	endif

	foo = cgi77_get_double('pb', pb)
	if (foo .eq. 0) then
	    pb = 0.0
	endif

c -----------------------------------------------------

	write (6, *) '<p>'

	write (6, 21) 'angles', ar, ag, ab
	write (6, 21) 'phases', pr, pg, pb
21	format (a20, '  ', 3(f12.8), '<br>')

	write(6, *) '</p><hr><pre>'

c -----------------------------------------------------
c	start of palette computation

	do 50 foo=1, 256

	   angle = dble(foo-1)/256

           fr = sin((ar*angle)+ pr)
           fg = sin((ag*angle)+ pg)
           fb = sin((ab*angle)+ pb)

	   r = int(fr*127.0 + 128.0)
	   g = int(fg*127.0 + 128.0)
	   b = int(fb*127.0 + 128.0)

	   write(6,80) r, g, b, angle

50	continue

80	format(3i7, '    #  ', e10.4)

c -----------------------------------------------------
c	end of palette computation

	write(6, *) '</pre><hr>'

c -----------------------------------------------------
c	OK everything done, close the HTML

	call print_end
	end

c ----------------------------------------------------------------
	subroutine print_head
	write (6, 1)
	write (6, 2)
	write (6, 3)
1	format ('<html><head>')
2	format ('<title>Fractint Palette with CGI77</title>')
3	format ('</head><body><h3>fractint palette</h3>')
	end
c ----------------------------------------------------------------
	subroutine print_end
	write (6, 1)
	write (6, 2)
1	format ('<a href="http://la.buvette.org/">Thierry Boudet</a>')
2	format ('</body></html>')
	end
c ----------------------------------------------------------------
