
/*
		cgi/g77 functions library
		-------------------------

	http://krabulator.free.fr/devel/cgi77.html

	This library is released under the LGPL license.
	Use it as you want, but remember that: "ymmv".

	* only tested under GNU/Linux glibc kernel 2.2.x
	* compilers versions:
	* gcc version egcs-2.91.66 19990314 (egcs-1.1.2 release)
	* g77 version egcs-2.91.66 19990314 (egcs-1.1.2 release)

*/

#define		CGI77_VERSION		"0.1.52"

#define		CGI77_METHOD_NULL	0
#define		CGI77_METHOD_GET	1
#define		CGI77_METHOD_POST	2
#define		CGI77_METHOD_HEAD	3
#define		CGI77_METHOD_PUT	4

int		cgi77_method__(void);		/* in get_method.c */

int		cgi77_remaddr__(char *dest, int hidden);
int		cgi77_remport__(long *pport);
int		cgi77_remhost__(char *dest, int hidden);

int		cgi77_uagent__(char *dest, int hidden);

/* this fonction is callable only from C */
char 	      * cgi77_get_one_parameter(char *nom, int sznom);

int		cgi77_readparam__(char *nom, char *ou, int sznom, int szou);

/* this fonction is callable only from C */
int		cgi77_unescape(char *str);

#define		CGI77_MAX_REQ_LENGTH	42000
#define		CGI77_MAX_PARAMETERS	42

#define		CGI77_BUFF_LENGTH	100	/* for small parameters ? */

