/*
		cgi/g77 functions library
		-------------------------

		http://krabulator.free.fr/devel/cgi77.html

	This library is released under the LGPL license.
	Use it as you want, but remember that: "ymmv".

	* only tested under GNU/Linux glibc kernel 2.2.x
	* compilers versions:
	* gcc version egcs-2.91.66 19990314 (egcs-1.1.2 release)
	* g77 version egcs-2.91.66 19990314 (egcs-1.1.2 release)

*/

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>

/* -------------------------------------------------------------------- */
int
cgi77_uagent__(char *dest, int hidden)
{
char	*cptr;
int	taille;

cptr = getenv("HTTP_USER_AGENT");

if (cptr == NULL)
	{
#if TRACE
	fprintf(stderr, "cgi77: get user agent: pointeur null\n");
#endif
	return 0;
	}

taille = strlen(cptr);
if (taille >= hidden)		return 99;

memset(dest, ' ', hidden);
strncpy(dest, cptr, taille);

return 1;
}
/* -------------------------------------------------------------------- */

