
	program mandelbrot

	include 'cgi77.fi'

	integer foo, ix, iy
	double precision xpos, ypos, zoom
	double precision dx, dy
	complex c
	integer taille, maxiter
	parameter (taille=72, maxiter=10)
	character ligne*72

c -----------------------------------------------------
c       must be first. confere CGI protocol.
	write(6, 1)
1	format('Content-type: text/html'/)

	call cgi77_marker('mandelbrot')
	call print_head

c -----------------------------------------------------
c	grab the parameters from right place

	foo = cgi77_get_double('xpos', xpos)
	if (foo .eq. 0) then
	    xpos = 0.0
	endif

	fooy = cgi77_get_double('ypos', ypos)
	if (foo .eq. 0) then
	    ypos = 0.0
	endif

	zoom = cgi77_get_double('zoom', zoom)
	if (foo .eq. 0) then
	    zoom = 0.0
	endif
	if (zoom .lt. 0.05) zoom = 0.05

	write(6, 110) xpos
	write(6, 111) ypos
	write(6, 112) zoom
110	format('xpos = ', f8.4, '<br>')
111	format('ypos = ', f8.4, '<br>')
112	format('zoom = ', f8.4, '<br>')

	write(6, *) '<hr><pre>'

c -----------------------------------------------------
c	start of Mandelbrot computation

	do 20 iy=1, taille
	    dy = dble(iy)

	    do 21 ix=1, taille
		dx = dble(ix)

c	computation for one pixel.

		c = cmplx(dx, dy)



21	    continue

	    write(6, 120) iy, dy

20	continue

120	format(i4, '  ', f12.5)


c -----------------------------------------------------
c	end of Mandelbrot computation

	write(6, *) '</pre><hr>'

c -----------------------------------------------------
c	OK everything done, close the HTML
	call print_end

	end

c ----------------------------------------------------------------
	subroutine print_head
	write (6, 1)
	write (6, 2)
	write (6, 3)
1	format ('<html><head>')
2	format ('<title>Mandelbrot CGI77</title>')
3	format ('<head><body>')
	end
c ----------------------------------------------------------------
	subroutine print_end
	write (6, 1)
	write (6, 2)
1	format ('<a href="/~cern/test_cgi77.html">formulaire</a>')
2	format ('</body></html>')
	end
c ----------------------------------------------------------------
